body {
    background-color: rgb(197, 197, 218);
    font-family: 'Maven Pro', 'Quicksand', sans-serif;
}

.page {
    display: flex;
    justify-content: center;
    flex-direction:column;
    align-items: center;
    gap: 2vh;
}

.box {
    height: 100vh;
    width: 90vw;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #274C77;
    border-radius: 5px;
    gap: 2vh;
}

.informations {
    height: 90%; /*65*/
    width: 90%;
    /*background-color: white;*/
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    /*background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
    animation: cambia_sfondo 5s infinite;
    transition: background-image 2s ease-in-out;*/
    overflow: hidden;
}

#IMG1 {
    width: 100%;
    height: auto;
    transition: all 0.8s ease;
}
#IMG2 {
    width: 100%;
    height: auto;
    transition: all 0.8s ease;
}
#IMG3 {
    width: 100%;
    height: auto;
    transition: all 0.8s ease;
}

/*#IMG1 {
    animation: visibilità 5s;
}*/

/*@keyframes visibilità {
    to: {
        visibility: hi
    }
}*/

/*@keyframes cambia_sfondo {
    0%, 100% {
        background-image: url('img1.jpg');
    }
    50% {
        background-image: url('img2.jpg');
    }
}*/

.titolo {
    height: 20%;
    width: 100%;
    color: #EA9435; /*alternativa colore: #EAC435*/
    /*background-color: violet;*/
    text-align: center;
    font-size: calc(100vh*0.9*0.2*0.65);
    font-family: 'Maven Pro', sans-serif;
}

span {
    display: inline-block;
    animation: allarga 2s ease-in-out forwards;
}

span:nth-child(1) {
    animation-delay: 0s;
}
span:nth-child(2) {
    animation-delay: 0.2s;
}
span:nth-child(3) {
    animation-delay: 0.4s;
}
span:nth-child(4) {
    animation-delay: 0.6s;
}
span:nth-child(5) {
    animation-delay: 0.8s;
}
span:nth-child(6) {
    animation-delay: 1s;
}
span:nth-child(7) {
    animation-delay: 1.2s;
}
span:nth-child(8) {
    animation-delay: 1.4s;
}
span:nth-child(9) {
    animation-delay: 1.6s;
}
span:nth-child(10) {
    animation-delay: 1.8s;
}
span:nth-child(11) {
    animation-delay: 2s;
}
span:nth-child(12) {
    animation-delay: 2.2s;
}
span:nth-child(13) {
    animation-delay: 2.4s;
}
span:nth-child(14) {
    animation-delay: 2.6s;
}
span:nth-child(15) {
    animation-delay: 2.8s;
}
span:nth-child(16) {
    animation-delay: 3s;
}
span:nth-child(17) {
    animation-delay: 3.2s;
}
span:nth-child(18) {
    animation-delay: 3.4s;
}
span:nth-child(19) {
    animation-delay: 3.6s;
}
span:nth-child(20) {
    animation-delay: 3.8s;
}
span:nth-child(21) {
    animation-delay: 4s;
}
span:nth-child(22) {
    animation-delay: 4.2s;
}
span:nth-child(23) {
    animation-delay: 4.4s;
}
span:nth-child(24) {
    animation-delay: 4.6s;
}

@keyframes allarga {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.3);
    }
    100% {
        transform: scale(1);
    }
}

.spiegazione {
    height: 80%;
    width: 100%;
    color: #0B0A07;
    /*background-color: rgb(150, 130, 238);*/
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.sottotitolo {
    text-align: center;
    height: 30%;
    width: 80%;
    font-size: calc(90vw*0.9*1*0.25*0.8*0.2);
}

#txt1 {
    display: none;
}
#txt2 {
    display: block;
}

.spiegazione_submenu {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 80%;
    width: 25%;
    border-radius: 5px;
    transition: ease-in-out 1.5;
}

.spiegazione_submenu:hover {
    width: 85%;
}

#obiettivo {
    background-color: #A3CEF1;  
}

#nostri_siti {
    background-color: #A3CEF1;  
}

#CC {
    background-color: #A3CEF1;  
}

.container {
    display: none;
    justify-content: space-evenly;
    align-items: center;
}

.licenza {
    display: flex;
    flex-direction: column;
    gap: 25%;
    align-items: center;
    justify-content: space-evenly;
}

.about_us {
    height: 80%;
    width: 90%;
    padding: 10px;
    display: none;
    justify-content: space-evenly;
    align-items: center;
    overflow: visible;
}

.stefano {
    cursor: pointer;
    height: 90%;
    width: 30%;
    background: linear-gradient(rgba(255, 255, 255, 0.225), rgba(255, 255, 255, 0.225)), url('ste.jpg');
    background-size: 120%;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 5px;
    color: #2E4052;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.65vw;
    padding: 10px;
    transition: transform 0.3s ease-in-out;
}

.gabriele {
    cursor: pointer;
    height: 90%;
    width: 30%;
    background: linear-gradient(rgba(255, 255, 255, 0.225), rgba(255, 255, 255, 0.225)), url('gabri.jpg');
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: top;
    border-radius: 5px;
    color: #2E4052;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.65vw;
    padding: 10px;
    transition: transform 0.3s ease-in-out;
}

.michele {
    cursor: pointer;
    height: 90%;
    width: 30%;
    background: linear-gradient(rgba(255, 255, 255, 0.225), rgba(255, 255, 255, 0.225)), url('ste.jpg');
    background-size: 120%;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 5px;
    color: #2E4052;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.65vw;
    padding: 10px;
    transition: transform 0.3s ease-in-out;
}

.stefano:hover {
    transform: scale(1.05);
}
.gabriele:hover {
    transform: scale(1.05);
}
.michele:hover {
    transform: scale(1.05);
}

.video_box {
    height: 100vh;
    width: 90vw;
    padding: 10px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    background-color: #274C77;
    border-radius: 5px;
}

.video {
    height: 70%;
    width: 50%;
    padding: 10px;
    background-color: #E7ECEF;
    border-radius: 5px;
    position: relative;
    transition: all 0.8s ease;
}

.background-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    mask: url(#text-mask);
  -webkit-mask: url(#text-mask);
  transition: all 0.8s ease;
}

.mask-svg {
    position: absolute;
    width: 100%;
    height: 100%;
}

.history {
    display: flex;
    flex-direction: column;
    gap: 10%;
    height: 90%;
    width: 40%;
    padding: 10px;
    background-color: #EA9435; /*alternativa colore: #EAC435*/
    border-radius: 5px;
    align-items: center;
    justify-content: center;
    transition: all 0.8s ease;
}

.testo {
    height: auto;
    width: 90%;
    color:#2E4052;
    /*background-color: rgba(0, 255, 42, 0.308);*/
    text-align: justify;
    font-size: 1.25vw;
}

.mybutton {
    height: auto;
    width: auto;
    border-radius: 5px;
    background-color: #E7ECEF;
    color: black;
    font-size: 1.5vw;
    cursor: pointer;
    z-index: 1; /*necessario per interagire con il bottone in quanto posto sotto una maschera*/
    padding: 10px 20px;
}

.mybutton:hover {
    background-color: #274C77;
    color: #E7ECEF;
}

.mybutton:active {
    background-color: #274C77;
    transform: scale(0.98);
}

.background-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    mask: url(#text-mask);
    -webkit-mask: url(#text-mask);
    transition: mask 0.5s, -webkit-mask 0.5s;
}

.background-video.no-mask {
    mask: none !important;
    -webkit-mask: none !important;
}

#esci_dal_video {
    display: none;
    position: absolute;
    top: 10px;
    left: 10px;
    height: auto;
    width: auto;
    border: 0px;
    border-radius: 5px;
    background-color: transparent;
    font-size: 1.5vw;
    cursor: pointer;
    z-index: 2;
}

#esci_dal_video:hover {
    background-color: #ffffff63;
}

#esci_dal_video:active {
    background-color: #E7ECEF;
    transform: scale(0.98);
}

@media (max-width: 1696px) {
    .titolo{
        height: 30%;
    }
    .spiegazione {
        height: 70%;
    }
}